<?xml version="1.0" encoding="UTF-8"?>
<configuration>
	<include
		resource="org/springframework/boot/logging/logback/defaults.xml" />
	<include
		resource="org/springframework/boot/logging/logback/console-appender.xml" />

	<appender name="ELASTIC"
		class="com.internetitem.logback.elasticsearch.ElasticsearchAppender">
		<url>http://elasticsearch-master.default:9200/_bulk</url>
		<index>logs-%date{yyyy-MM-dd}</index>
		<type>tester</type>
		<loggerName>es-logger</loggerName> <!-- optional -->
		<errorLoggerName>es-error-logger</errorLoggerName> <!-- optional -->
		<includeCallerData>false</includeCallerData> <!-- optional (default false) -->
		<!--<authentication
			class="com.internetitem.logback.elasticsearch.config.BasicAuthentication" /> optional -->
		<properties>
			<property>
				<name>host</name>
				<value>${HOSTNAME}</value>
				<allowEmpty>false</allowEmpty>
			</property>
			<property>
				<name>severity</name>
				<value>%level</value>
			</property>
			<property>
				<name>thread</name>
				<value>%thread</value>
			</property>
			<property>
				<name>stacktrace</name>
				<value>%ex</value>
			</property>
			<property>
				<name>logger</name>
				<value>%logger</value>
			</property>
		</properties>
		<headers>
			<header>
				<name>Content-Type</name>
				<value>application/json</value>
			</header>
		</headers>
	</appender>

	<root level="INFO">
		<appender-ref ref="ELASTIC" />
		<appender-ref ref="CONSOLE" />
	</root>
</configuration>